Halide 22.0.0 Halide compiler and libraries

Public Member Functions | Public Attributes | List of all members
ID3D12PageableVtbl Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions
| BEGIN_INTERFACE (ID3D12Pageable *This, REFIID riid, _COM_Outptr_ void **ppvObject)
ID3D12Pageable _In_ REFGUID _In_ UINT | _In_reads_bytes_opt_ (DataSize) const void *pData)

## Public Attributes
ID3D12Pageable * | This
ID3D12Pageable _In_ REFGUID | guid
ID3D12Pageable _In_ REFGUID _Inout_ UINT * | pDataSize
ID3D12Pageable _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void * | pData
ID3D12Pageable _In_ REFGUID _In_ UINT | DataSize
ID3D12Pageable _In_ REFGUID _In_opt_ const IUnknown * | pData
ID3D12Pageable _In_z_ LPCWSTR | Name
ID3D12Pageable REFIID | riid
ID3D12Pageable REFIID _COM_Outptr_opt_ void ** | ppvDevice

## Detailed Description

Definition at line 1752 of file mini_d3d12.h.

## Member Function Documentation

## ◆ BEGIN_INTERFACE()

ID3D12PageableVtbl::BEGIN_INTERFACE | ( | ID3D12Pageable * | This,
|  | REFIID | riid,
|  | _COM_Outptr_ void ** | ppvObject
| ) |  |

## ◆ _In_reads_bytes_opt_()

ID3D12Pageable _In_ REFGUID _In_ UINT ID3D12PageableVtbl::_In_reads_bytes_opt_ | ( | DataSize |  | ) | const

## Member Data Documentation

## ◆ This

ID3D12Pageable * ID3D12PageableVtbl::This

Definition at line 1763 of file mini_d3d12.h.

## ◆ guid

ID3D12Pageable _In_ REFGUID ID3D12PageableVtbl::guid

Definition at line 1772 of file mini_d3d12.h.

## ◆ pDataSize

ID3D12Pageable _In_ REFGUID _Inout_ UINT* ID3D12PageableVtbl::pDataSize

Definition at line 1773 of file mini_d3d12.h.

## ◆ pData [1/2]

ID3D12Pageable _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void* ID3D12PageableVtbl::pData

Definition at line 1774 of file mini_d3d12.h.

## ◆ DataSize

ID3D12Pageable _In_ REFGUID _In_ UINT ID3D12PageableVtbl::DataSize

Definition at line 1780 of file mini_d3d12.h.

## ◆ pData [2/2]

ID3D12Pageable _In_ REFGUID _In_opt_ const IUnknown* ID3D12PageableVtbl::pData

Definition at line 1787 of file mini_d3d12.h.

## ◆ Name

ID3D12Pageable _In_z_ LPCWSTR ID3D12PageableVtbl::Name

Definition at line 1792 of file mini_d3d12.h.

## ◆ riid

ID3D12Pageable REFIID ID3D12PageableVtbl::riid

Definition at line 1797 of file mini_d3d12.h.

## ◆ ppvDevice

ID3D12Pageable REFIID _COM_Outptr_opt_ void** ID3D12PageableVtbl::ppvDevice

Definition at line 1798 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h